/*
 * Aus den Klassenmethoden wurden Objektmethoden, d.h.
 * erster Parameter und "static" verschwanden jetzt.
 * Auerdem mssen diese Methoden nun als Objektelemente
 * behandelt werden; z.B. d.printDatum() (statt printDatum(d)!).
 */
public class Datum1 {

    int tag, monat, jahr;

    public void initDatum(int tag, int monat, int jahr) {
        if (tag > 0 && tag < 32 && monat > 0 && monat < 13) {
            this.tag = tag;
            this.monat = monat;
            this.jahr = jahr;
        }
    }

    public void setzeTag(int tag) {
        if (tag > 0 && tag < 32)
            this.tag = tag;
    }

    public void printDatum() {
        System.out.println(tag+"."+monat+"."+jahr);
    }

    public static void main(String[] args) {
        Datum1 d;
        d = new Datum1();
        d.initDatum(26, 10, 2005);
        d.printDatum();
        d.setzeTag(35);
        d.printDatum();
        d.tag = 35;
        d.printDatum();
    }
}
