public class Complex {
    // Daten
    public double re, im;

    // Konstruktoren
    public Complex(double real) {
    	this(real, 0.0); // rufe den anderen Konstruktor auf
    }
    public Complex(double real, double imag) {
    	re = real;
	im = imag;
    }

    // Methoden
    public void add(Complex c) {
    	re += c.re;
	im += c.im;
    }
    // toString()-Methode wird immer dann verwendet,
    // wenn eine Referenz vom Typ Complex im String-Kontext
    // verwendet wird; z.B.:
    //
    // Complex c = new Complex(1.0, 2.0);
    // System.out.print("c = "+c); // c wird hier zu c.toString(), da String-Kontext!
    // System.out.print("c = "+c.toString()); // gleich wie in der vorigen Zeile
    public String toString() {
    	return re + " + " + im + " * i";
    }
}
